library(lubridate)
library(readr)
library(data.table)
library(ggplot2)

setwd("/home/jrsantos/UNLC/ESTADISTICA/")

lectura= "lapunta.csv"
#lectura= "laangelina.csv"
#estacion <-read_delim(lectura, ";", escape_double = FALSE, trim_ws = TRUE)
estacion <- read.table (lectura, header = TRUE, sep = ";",dec = ",", na.strings = "NA")
head(estacion,10)

   head(estacion,20)
   colnames(estacion)
   lapply(estacion, class)
   #estacionfinal<-estacion[c("Fecha")]
      
#   estacionfinal$Fecha<-paste(estacion$Fecha,estacion$`Hora UTC`,":00:00")
#   estacionfinal$Fecha<-mdy_hms(estacionfinal$Fecha)
   
#   fecha_hora  <-dmy_hms(estacion$Fecha.Hora)
 
   Fecha.Hora <- as.POSIXct(estacion$Fecha.Hora, format="%m/%d/%Y %H:%M:%S")
   
     
     
     #Hora<- format(as.POSIXct(strptime(estacion$Fecha.Hora,"%m/%d/%Y %H:%M:%S",tz="")) ,format = "%H:%M:%S")

     Hora<- format(as.POSIXct(strptime(estacion$Fecha.Hora,"%m/%d/%Y %H:%M:%S",tz="")) ,format = "%H")
     Fecha<-format(as.POSIXct(strptime(estacion$Fecha.Hora,"%m/%d/%Y %H:%M:%S",tz="")) ,format = "%Y-%m-%d")
     Mes <-format(as.POSIXct(strptime(estacion$Fecha.Hora,"%m/%d/%Y %H:%M:%S",tz="")) ,format ="%m")
     Ano <-format(as.POSIXct(strptime(estacion$Fecha.Hora,"%m/%d/%Y %H:%M:%S",tz="")) ,format ="%Y")
     Dia <-format(as.POSIXct(strptime(estacion$Fecha.Hora,"%m/%d/%Y %H:%M:%S",tz="")) ,format ="%d")
    
      print(Fecha) 
     print(Hora)
     print(Mes)    
     class(Mes)
     print(Ano)
    print(Dia)
         
     estacion$Hora <-Hora
     estacion$Dia <- Dia
     estacion$Mes <- Mes
     estacion$Ano <- Ano
     head(estacion,20)
     
     enero <-estacion[which(estacion$Mes == "01"),]
     
     
      
      
     
      Temperatura <- as.double((as.character(enero$Temperatura.C.)))
     
      class(Temperatura)
      head(Temperatura) 
      Hora<-enero$Hora
       Viento_dir<-as.numeric(as.character(enero$DirDelViento))
 
      TEMPERATURA <- data.frame(TMP= Temperatura , HORA = Hora)
      VIENTO_DIR  <- data.frame(DIR= Viento_dir , HORA = Hora)
      print(TEMPERATURA$TMP)
      
      
      max(TEMPERATURA$TMP,na.rm=TRUE)
      
      temperatura_media <- aggregate(TEMPERATURA$TMP, by=list(TEMPERATURA$HORA), FUN=mean, na.rm=TRUE)
      viento_dir_medio <- aggregate(VIENTO_DIR$DIR, by=list(VIENTO_DIR$HORA), FUN=mean, na.rm=TRUE)
      colnames(viento_dir_medio) <- c("HORA" , "VIENTO_MEDIO_DIR")
      colnames(temperatura_media) <- c("HORA" , "TEMPERATURA_MEDIA")
      head(temperatura_media)
      lapply(TEMPERATURA, class)
         
      head(temperatura_media,31)
      boxplot(Temperatura~Hora,ylim=c(-5,30),
              main= "",xlab="Hora UTC",ylab="TEMPERATURA (°C)",pch='')
      
      boxplot(Viento_dir~Hora,
              main= "",xlab="Hora UTC",ylab="DIRECCION VIENTO (GRADOS)",pch='')
      
      estacion$Temperatura.C.<- as.numeric(as.character(estacion$Temperatura.C.))
      estacion$Ano <-as.numeric(as.character(estacion$Ano))
      boxplot(estacion$Temperatura.C.,estacion$Ano)
      
      head(estacion$Temperatura.C.)
      
      par()
      
      plot(temperatura_media$HORA,temperatura_media$TEMPERATURA_MEDIA,
           xlab="HORA UTC", ylab="Temperatura Promedio")
      plot(viento_dir_medio$HORA,viento_dir_medio$VIENTO_MEDIO_DIR,
           xlab="HORA UTC", ylab="DIRECCION VIENTO (GRADOS)")
      
      estacion$Precipitacion.mm. <- as.numeric(as.character(estacion$Precipitacion.mm.))
      
      precipitacion <- aggregate(estacion$Precipitacion.mm.,by=list(estacion$Ano), FUN=sum,na.rm=TRUE)
      head(precipitacion)
      colnames(precipitacion) <- c("AÑO" , "PRECIP_ACUM")
      plot(precipitacion$AÑO, precipitacion$PRECIP_ACUM,
           xlab="AÑO", ylab="PRECIPITACIÓN ACUMULADA",type="l")
      
      head(precipitacion)
      
      head(estacion)
      
      
      estacionfinal$Temperatura<-estacion$`Temp. (ºC)`
      
      head(estacionfinal)
      
      finalfinal<-na.omit(estacionfinal)
      head(finalfinal)
      
      plot(finalfinal$Fecha,finalfinal$Temperatura,col="blue",type = "l",lwd = 2, lty= 1,main="TT", sub="AA",
           xlab="Día", ylab="°C")
    
      print(max(finalfinal$Temperatura))
      
      
      maximatemp<-aggregate(finalfinal$Temperatura,by=list(day(finalfinal$Fecha)),max)
     
       print(maximatemp)
       
      
     
      
      
      
      
      

